# Google Proximity Beacon API . beacons . diagnostics

## Instance Methods

List the diagnostics for a single beacon. You can also list diagnostics for all the beacons owned by your Google Developers Console project by using the beacon name `beacons/-`. Authenticate using an [OAuth access token](https://developers.google.com/identity/protocols/OAuth2) from a signed-in user with **viewer**, **Is owner** or **Can edit** permissions in the Google Developers Console project.

Retrieves the next page of results.

### Method Details

`list(beaconName, pageSize=None, projectId=None, alertFilter=None, pageToken=None, x__xgafv=None)`

    List the diagnostics for a single beacon. You can also list diagnostics for all the beacons owned by your Google Developers Console project by using the beacon name `beacons/-`. Authenticate using an [OAuth access token](https://developers.google.com/identity/protocols/OAuth2) from a signed-in user with **viewer**, **Is owner** or **Can edit** permissions in the Google Developers Console project.

    Args:
      beaconName: string, Beacon that the diagnostics are for. (required)
      pageSize: integer, Specifies the maximum number of results to return. Defaults to 10. Maximum 1000. Optional.
      projectId: string, Requests only diagnostic records for the given project id. If not set, then the project making the request will be used for looking up diagnostic records. Optional.
      alertFilter: string, Requests only beacons that have the given alert. For example, to find beacons that have low batteries use `alert_filter=LOW_BATTERY`.
      pageToken: string, Requests results that occur after the `page_token`, obtained from the response to a previous request. Optional.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response that contains the requested diagnostics.
        "nextPageToken": "A String", # Token that can be used for pagination. Returned only if the request matches more beacons than can be returned in this response.
        "diagnostics": [ # The diagnostics matching the given request.
          { # Diagnostics for a single beacon.
            "estimatedLowBatteryDate": { # Represents a whole calendar date, e.g. date of birth. The time of day and time zone are either specified elsewhere or are not significant. The date is relative to the Proleptic Gregorian Calendar. The day may be 0 to represent a year and month where the day is not significant, e.g. credit card expiration date. The year may be 0 to represent a month and day independent of year, e.g. anniversary date. Related types are google.type.TimeOfDay and `google.protobuf.Timestamp`. # The date when the battery is expected to be low. If the value is missing then there is no estimate for when the battery will be low. This value is only an estimate, not an exact date.
              "month": 42, # Month of year. Must be from 1 to 12.
              "day": 42, # Day of month. Must be from 1 to 31 and valid for the year and month, or 0 if specifying a year/month where the day is not significant.
              "year": 42, # Year of date. Must be from 1 to 9999, or 0 if specifying a date without a year.
            },
            "alerts": [ # An unordered list of Alerts that the beacon has.
              "A String",
            ],
            "beaconName": "A String", # Resource name of the beacon. For Eddystone-EID beacons, this may be the beacon's current EID, or the beacon's "stable" Eddystone-UID.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.